GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/amd64-sol2-tdep.c File Reference
`#include "defs.h"`
`#include "frame.h"`
`#include "gdbcore.h"`
`#include "regcache.h"`
`#include "osabi.h"`
`#include "symtab.h"`
`#include "sol2-tdep.h"`
`#include "amd64-tdep.h"`
`#include "x86-xstate.h"`
`#include "solib-svr4.h"`

Go to the source code of this file.

## Functions
static int | amd64_sol2_sigtramp_p (struct frame_info *this_frame)
static CORE_ADDR | amd64_sol2_mcontext_addr (struct frame_info *this_frame)
static void | amd64_sol2_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)
void | _initialize_amd64_sol2_tdep (void)

## Variables
static int | amd64_sol2_gregset_reg_offset []

## Function Documentation

## ◆ _initialize_amd64_sol2_tdep()

void _initialize_amd64_sol2_tdep | ( | void |  | ) |

Definition at line 121 of file amd64-sol2-tdep.c.

References amd64_sol2_init_abi(), GDB_OSABI_SOLARIS, and gdbarch_register_osabi().

## ◆ amd64_sol2_init_abi()

static void amd64_sol2_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 95 of file amd64-sol2-tdep.c.

References amd64_init_abi(), amd64_sol2_gregset_reg_offset, amd64_sol2_mcontext_addr(), amd64_sol2_sigtramp_p(), amd64_target_description(), gdbarch_tdep(), gdbarch_tdep::gregset_num_regs, gdbarch_tdep::gregset_reg_offset, gdbarch_tdep::sc_num_regs, gdbarch_tdep::sc_reg_offset, set_gdbarch_core_pid_to_str(), set_gdbarch_skip_solib_resolver(), set_solib_svr4_fetch_link_map_offsets(), gdbarch_tdep::sigcontext_addr, gdbarch_tdep::sigtramp_p, gdbarch_tdep::sizeof_gregset, sol2_core_pid_to_str(), sol2_skip_solib_resolver(), svr4_lp64_fetch_link_map_offsets(), and X86_XSTATE_SSE_MASK.

Referenced by _initialize_amd64_sol2_tdep().

## ◆ amd64_sol2_mcontext_addr()

static CORE_ADDR amd64_sol2_mcontext_addr | ( | struct frame_info * | this_frame | ) |
| static

Definition at line 84 of file amd64-sol2-tdep.c.

References AMD64_RSP_REGNUM, get_frame_memory_unsigned(), get_frame_register_unsigned(), and gdbarch_tdep::sp.

Referenced by amd64_sol2_init_abi().

## ◆ amd64_sol2_sigtramp_p()

static int amd64_sol2_sigtramp_p | ( | struct frame_info * | this_frame | ) |
| static

Definition at line 70 of file amd64-sol2-tdep.c.

References find_pc_partial_function(), get_frame_pc(), name, and gdbarch_tdep::pc.

Referenced by amd64_sol2_init_abi().

## Variable Documentation

## ◆ amd64_sol2_gregset_reg_offset

int amd64_sol2_gregset_reg_offset[]
| static

Initial value:
= {
14 * 8,
11 * 8,
13 * 8,
12 * 8,
9 * 8,
8 * 8,
10 * 8,
20 * 8,
7 * 8,
6 * 8,
5 * 8,
4 * 8,
3 * 8,
2 * 8,
1 * 8,
0 * 8,
17 * 8,
19 * 8,
18 * 8,
21 * 8,
25 * 8,
24 * 8,
22 * 8,
23 * 8
}

Definition at line 38 of file amd64-sol2-tdep.c.

Referenced by amd64_sol2_init_abi().